Bug 188493 - libGL does not appear to have off scree OSMesa calls
libGL does not appear to have off scree OSMesa calls
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2006-04-10 12:51 EDT by Orion Poplawski
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-05-18 19:47:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2006-04-10 12:51:34 EDT
Description of problem:

gcc OSMesa.c -lGL
/tmp/ccWBprIs.o(.text+0x27): In function `main':
OSMesa.c: undefined reference to `OSMesaCreateContext'
/tmp/ccWBprIs.o(.text+0x38):OSMesa.c: undefined reference to `OSMesaDestroyContext'
/tmp/ccWBprIs.o(.text+0x54):OSMesa.c: undefined reference to `OSMesaMakeCurrent'

same on FC5.  Is this intentional?  The entries are in the GL/osmesa.h header.

Version-Release number of selected component (if applicable):
Comment 1 Mike A. Harris 2006-05-18 19:47:26 EDT
You're linking to the wrong library.
Comment 2 Orion Poplawski 2006-05-19 11:39:19 EDT
Which for the record in -lOSMesa.  Sorry about that.

Note You need to log in before you can comment on or make changes to this bug.